Subject: Re: [bug#41345] 000-update-python-argon2-cffi.patch

From: Josh Marshall <[email-masked]>
Date: Mon, 25 May 2020 12:13:00 -0400

Here is what I'm doing:
```
git commit -am "Updating python-argon2-cffi to 20.1.0"
git format-patch master
git send-email --to=[email-masked]
--subject="000-update-python-argon2-cffi.patch"
0001-Updating-python-argon2-cffi-to-20.1.0.patch
```

When reading https://guix.gnu.org/manual/en/guix.html#Submitting-Patches
I do not see guidance on this particular aspect of sending patches.
What do I need to alter, and should those details be added to the
manual?

On Mon, May 25, 2020 at 10:59 AM Marius Bakke <[email-masked]> wrote:
>
> Josh Marshall <[email-masked]> writes:
>
> > Resubmitted the patch more properly made.  Looks like it didn't continue
> > this thread.  How do I close this?
>
> It still did not have a commit message though:
>
> https://git.savannah.gnu.org/cgit/guix.git/log/gnu/packages?id=9813805b30dad444984111d5413b8ab7356f7908
>
> Note how it differs from other package updates, in particular lacking
> the '* gnu/packages/file.scm (variable):' line, as well as the "gnu: "
> prefix.  No big deal, but try to follow the convention next time.
>
> In any case you can close bugs by appending -done to the issue ID, like
> I've done in this message.  Thanks!